﻿* Encoding: UTF-8.

***************************************************.
******SINIESTROS - II TRIM - 2023 PRELIMINAR****.
***************************************************.

****SINIESTROS DE TRÁNSITO 2023 PRELIMINAR***.

**DIRECCIÓN DE ESTADÍSTICAS ECONÓMICAS***.
**UNIDAD DE GESTIÓN DE ESTADÍSTICAS ESTRUCTURALES - GESE**.
**Responsable de Procesamiento: Gabriela Hidalgo.



GET DATA 
  /TYPE=XLS 
  /FILE='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\I TRIM2023\BDD_ENERO_JUNIO_2023_INEC_MTOP.xls' 
  /SHEET=name 'BDD_ENERO_JUNIO_2023_INEC_MTOP' 
  /CELLRANGE=FULL 
  /READNAMES=ON 
  /DATATYPEMIN PERCENTAGE=95.0. 
EXECUTE.
 
SAVE OUTFILE='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\II TRIME_2023\BDD_IITRIM2023.sav'.
  

GET FILE='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\II TRIME_2023\BDD_IITRIM2023.sav'.


****************************.
***Mes del Siniestro***.
****************************.

recode MES_1 ("ENERO"=1) ("FEBRERO"=2) ("MARZO"=3) ("ABRIL"=4) ("MAYO"=5)
("JUNIO"=6) ("JULIO"=7) ("AGOSTO"=8) ("SEPTIEMBRE"=9) ("OCTUBRE"=10) ("NOVIEMBRE"=11)
("DICIEMBRE"=12) into MES_T.
execute.

variable labels MES_T "Mes".
formats MES_T (F2.0).
value labels MES_T
1 "ENERO"
2 "FEBRERO"
3 "MARZO"
4 "ABRIL"
5 "MAYO"
6 "JUNIO"
7 "JULIO"
8 "AGOSTO"
9 "SEPTIEMBRE"
10 "OCTUBRE"
11 "NOVIEMBRE"
12 "DICIEMBRE".
execute.

freq MES_T.

************************************.
*******Día de eocurrencia******.
***********************************.

FREQ DIA_1.

recode DIA_1 ("lunes"=1) ("martes"=2) ("miércoles"=3) ("jueves"=4) ("viernes"=5)
("sábado"=6) ("domingo"=7) INTO DIA_T.
execute.

variable labels DIA_T "Día de ocurrencia".
formats DIA_T (F1.0).
value labels DIA_T
1 "LUNES"
2 "MARTES"
3 "MIÉRCOLES"
4"JUEVES"
5 "VIERNES"
6 "SÁBADO"
7 "DOMINGO".
execute.

freq DIA_T.


*********************************************.
******Hora de suceso del Siniestro****.
*********************************************.
FREQ HORA.

**Error de digitación en dos datos de HORA.**


compute HORA_T=XDATE.HOUR(HORA).
formats HORA_T (F2.0).
variable labels  HORA_T "Hora del suceso".
variable level HORA_T (NOMINAL).
value labels HORA_T 
0 "00:00 A 00:59"
1 "01:00 A 01:59"
2 "02:00 A 02:59"
3 "03:00 A 03:59"
4 "04:00 A 04:59"
5 "05:00 A 05:59"
6 "06:00 A 06:59"
7 "07:00 A 07:59"
8 "08:00 A 08:59"
9 "09:00 A 09:59"
10 "10:00 A 10:59"
11 "11:00 A 11:59"
12 "12:00 A 12:59"
13 "13:00 A 13:59"
14 "14:00 A 14:59"
15 "15:00 A 15:59"
16 "16:00 A 16:59"
17 "17:00 A 17:59"
18 "18:00 A 18:59"
19 "19:00 A 19:59"
20 "20:00 A 20:59"
21 "21:00 A 21:59"
22 "22:00 A 22:59"
23 "23:00 A 23:59".
execute.

freq HORA_T.


************************************.
****************Provincia**********.
************************************.
FREQ PROVINCIA.

recode PROVINCIA
('AZUAY'=1)
('BOLIVAR'=2)
('CAÑAR'=3)
('CARCHI'=4)
('CHIMBORAZO'=6)
('COTOPAXI'=5)
('EL ORO'=7)
('ESMERALDAS'=8)
('GALAPAGOS'=20)
('GUAYAS'=9)
('IMBABURA'=10)
('LOJA'=11)
('LOS RIOS'=12)
('MANABI'=13)
('MORONA SANTIAGO'=14)
('NAPO'=15)
('ORELLANA'=22)
('PASTAZA'=16)
('PICHINCHA'=17)
('SANTA ELENA'=24)
('SANTO DOMINGO DE LOS TSACHILAS'=23)
('SUCUMBIOS'=21)
('TUNGURAHUA'=18)
('ZAMORA CHINCHIPE'=19) into PROVINCIA_T.
execute.


formats PROVINCIA_T (F2.0).
variable labels PROVINCIA_T "Provincia".
variable level PROVINCIA_T (NOMINAL).
value labels PROVINCIA_T
1 'AZUAY'
2 'BOLÍVAR'
3 'CAÑAR'
4 'CARCHI'
5 'COTOPAXI'
6 'CHIMBORAZO'
7 'EL ORO'
8 'ESMERALDAS'
9 'GUAYAS'
10 'IMBABURA'
11 'LOJA'
12 'LOS RÍOS'
13 'MANABÍ'
14 'MORONA SANTIAGO'
15 'NAPO'
16 'PASTAZA'
17 'PICHINCHA'
18 'TUNGURAHUA'
19 'ZAMORA CHINCHIPE'
20 'GALÁPAGOS'
21 'SUCUMBÍOS'
22 'ORELLANA'
23 'SANTO DOMINGO DE LOS TSÁCHILAS'
24 'SANTA ELENA'.
execute.

freq PROVINCIA_T.

*********************************.
**********Cantón***************.
*********************************.
FREQ CANTON.

string CANTÓN_T (A4).
IF (PROVINCIA_T=1 & CANTON='CAMILO PONCE ENRIQUEZ') CANTÓN_T='0115'.
IF (PROVINCIA_T=1 & CANTON='CHORDELEG') CANTÓN_T='0111'.
IF (PROVINCIA_T=1 & CANTON='CUENCA') CANTÓN_T='0101'.
IF (PROVINCIA_T=1 & CANTON='GIRON') CANTÓN_T='0102'.
IF (PROVINCIA_T=1 & CANTON='GUALACEO') CANTÓN_T='0103'.
IF (PROVINCIA_T=1 & CANTON='NABON') CANTÓN_T='0104'.
IF (PROVINCIA_T=1 & CANTON='OÑA') CANTÓN_T='0110'.
IF (PROVINCIA_T=1 & CANTON='PAUTE') CANTÓN_T='0105'.
IF (PROVINCIA_T=1 & CANTON='PUCARA') CANTÓN_T='0106'.
IF (PROVINCIA_T=1 & CANTON='SANTA ISABEL') CANTÓN_T='0108'.
IF (PROVINCIA_T=1 & CANTON='SEVILLA DE ORO') CANTÓN_T='0113'.
IF (PROVINCIA_T=1 & CANTON='SIGSIG') CANTÓN_T='0109'.
IF (PROVINCIA_T=2 & CANTON='CALUMA') CANTÓN_T='0206'.
IF (PROVINCIA_T=2 & CANTON='CHIMBO') CANTÓN_T='0203'.
IF (PROVINCIA_T=2 & CANTON='ECHEANDIA') CANTÓN_T='0204'.
IF (PROVINCIA_T=2 & CANTON='GUARANDA') CANTÓN_T='0201'.
IF (PROVINCIA_T=2 & CANTON='LAS NAVES') CANTÓN_T='0207'.
IF (PROVINCIA_T=2 & CANTON='SAN MIGUEL') CANTÓN_T='0205'.
IF (PROVINCIA_T=2 & CANTON='CHILLANES') CANTÓN_T='0202'.
IF (PROVINCIA_T=2 & CANTON='SANTA ROSA DE AGUA CLARA') CANTÓN_T='9005'.
IF (PROVINCIA_T=3 & CANTON='AZOGUES') CANTÓN_T='0301'.
IF (PROVINCIA_T=3 & CANTON='BIBLIAN') CANTÓN_T='0302'.
IF (PROVINCIA_T=3 & CANTON='CAÑAR') CANTÓN_T='0303'.
IF (PROVINCIA_T=3 & CANTON='DELEG') CANTÓN_T='0306'.
IF (PROVINCIA_T=3 & CANTON='EL TAMBO') CANTÓN_T='0305'.
IF (PROVINCIA_T=3 & CANTON='LA TRONCAL') CANTÓN_T='0304'.
IF (PROVINCIA_T=3 & CANTON='SUSCAL') CANTÓN_T='0307'.
IF (PROVINCIA_T=4 & CANTON='BOLIVAR (CARCHI)') CANTÓN_T='0402'.
IF (PROVINCIA_T=4 & CANTON='MONTUFAR') CANTÓN_T='0405'.
IF (PROVINCIA_T=4 & CANTON='SAN PEDRO DE HUACA') CANTÓN_T='0406'.
IF (PROVINCIA_T=4 & CANTON='TULCAN') CANTÓN_T='0401'.
IF (PROVINCIA_T=6 & CANTON='ALAUSI') CANTÓN_T='0602'.
IF (PROVINCIA_T=6 & CANTON='CHAMBO') CANTÓN_T='0604'.
IF (PROVINCIA_T=6 & CANTON='CHUNCHI') CANTÓN_T='0605'.
IF (PROVINCIA_T=6 & CANTON='COLTA') CANTÓN_T='0603'.
IF (PROVINCIA_T=6 & CANTON='CUMANDA') CANTÓN_T='0610'.
IF (PROVINCIA_T=6 & CANTON='GUAMOTE') CANTÓN_T='0606'.
IF (PROVINCIA_T=6 & CANTON='GUANO') CANTÓN_T='0607'.
IF (PROVINCIA_T=6 & CANTON='PALLATANGA') CANTÓN_T='0608'.
IF (PROVINCIA_T=6 & CANTON='PENIPE') CANTÓN_T='0609'.
IF (PROVINCIA_T=6 & CANTON='RIOBAMBA') CANTÓN_T='0601'.
IF (PROVINCIA_T=5 & CANTON='LA MANA') CANTÓN_T='0502'.
IF (PROVINCIA_T=5 & CANTON='LATACUNGA') CANTÓN_T='0501'.
IF (PROVINCIA_T=5 & CANTON='PUJILI') CANTÓN_T='0504'.
IF (PROVINCIA_T=5 & CANTON='SALCEDO') CANTÓN_T='0505'.
IF (PROVINCIA_T=5 & CANTON='SAQUISILI') CANTÓN_T='0506'.
IF (PROVINCIA_T=5 & CANTON='PANGUA') CANTÓN_T='0503'.
IF (PROVINCIA_T=7 & CANTON='ARENILLAS') CANTÓN_T='0702'.
IF (PROVINCIA_T=7 & CANTON='BALSAS') CANTÓN_T='0704'.
IF (PROVINCIA_T=7 & CANTON='EL GUABO') CANTÓN_T='0706'.
IF (PROVINCIA_T=7 & CANTON='HUAQUILLAS') CANTÓN_T='0707'.
IF (PROVINCIA_T=7 & CANTON='MACHALA') CANTÓN_T='0701'.
IF (PROVINCIA_T=7 & CANTON='PASAJE') CANTÓN_T='0709'.
IF (PROVINCIA_T=7 & CANTON='PIÑAS') CANTÓN_T='0710'.
IF (PROVINCIA_T=7 & CANTON='PORTOVELO') CANTÓN_T='0711'.
IF (PROVINCIA_T=7 & CANTON='SANTA ROSA') CANTÓN_T='0712'.
IF (PROVINCIA_T=7 & CANTON='ZARUMA') CANTÓN_T='0713'.
IF (PROVINCIA_T=7 & CANTON='ATAHUALPA') CANTÓN_T='0703'.
IF (PROVINCIA_T=8 & CANTON='ATACAMES') CANTÓN_T='0806'.
IF (PROVINCIA_T=8 & CANTON='ELOY ALFARO') CANTÓN_T='0802'.
IF (PROVINCIA_T=8 & CANTON='ESMERALDAS') CANTÓN_T='0801'.
IF (PROVINCIA_T=8 & CANTON='MUISNE') CANTÓN_T='0803'.
IF (PROVINCIA_T=8 & CANTON='QUININDE') CANTÓN_T='0804'.
IF (PROVINCIA_T=8 & CANTON='RIOVERDE') CANTÓN_T='0807'.
IF (PROVINCIA_T=8 & CANTON='SAN LORENZO') CANTÓN_T='0805'.
IF (PROVINCIA_T=20 & CANTON='SANTA CRUZ') CANTÓN_T='2003'.
IF (PROVINCIA_T=20 & CANTON='ISABELA') CANTÓN_T='2002'.
IF (PROVINCIA_T=9 & CANTON='ALFREDO BAQUERIZO MORENO') CANTÓN_T='0902'.
IF (PROVINCIA_T=9 & CANTON='BALAO') CANTÓN_T='0903'.
IF (PROVINCIA_T=9 & CANTON='BALZAR') CANTÓN_T='0902'.
IF (PROVINCIA_T=9 & CANTON='COLIMES') CANTÓN_T='0905'.
IF (PROVINCIA_T=9 & CANTON='CORONEL MARCELINO MARIDUEÑA') CANTÓN_T='0923'.
IF (PROVINCIA_T=9 & CANTON='DAULE') CANTÓN_T='0906'.
IF (PROVINCIA_T=9 & CANTON='DURAN') CANTÓN_T='0907'.
IF (PROVINCIA_T=9 & CANTON='EL EMPALME') CANTÓN_T='0908'.
IF (PROVINCIA_T=9 & CANTON='EL PIEDRERO') CANTÓN_T='9004'.
IF (PROVINCIA_T=9 & CANTON='EL TRIUNFO') CANTÓN_T='0909'.
IF (PROVINCIA_T=9 & CANTON='GENERAL ANTONIO ELIZALDE') CANTÓN_T='0999'.
IF (PROVINCIA_T=9 & CANTON='GUAYAQUIL') CANTÓN_T='0901'.
IF (PROVINCIA_T=9 & CANTON='ISIDRO AYORA') CANTÓN_T='0928'.
IF (PROVINCIA_T=9 & CANTON='LOMAS DE SARGENTILLO') CANTÓN_T='0924'.
IF (PROVINCIA_T=9 & CANTON='MILAGRO') CANTÓN_T='0910'.
IF (PROVINCIA_T=9 & CANTON='NARANJAL') CANTÓN_T='0911'.
IF (PROVINCIA_T=9 & CANTON='NARANJITO') CANTÓN_T='0912'.
IF (PROVINCIA_T=9 & CANTON='NOBOL') CANTÓN_T='0925'.
IF (PROVINCIA_T=9 & CANTON='PALESTINA') CANTÓN_T='0913'.
IF (PROVINCIA_T=9 & CANTON='PEDRO CARBO') CANTÓN_T='0914'.
IF (PROVINCIA_T=9 & CANTON='PLAYAS') CANTÓN_T='0921'.
IF (PROVINCIA_T=9 & CANTON='SALITRE') CANTÓN_T='0919'.
IF (PROVINCIA_T=9 & CANTON='SAMBORONDON') CANTÓN_T='0916'.
IF (PROVINCIA_T=9 & CANTON='SAN JACINTO DE YAGUACHI') CANTÓN_T='0920'.
IF (PROVINCIA_T=9 & CANTON='SANTA LUCIA') CANTÓN_T='0918'.
IF (PROVINCIA_T=9 & CANTON='SIMON BOLIVAR') CANTÓN_T='0922'.
IF (PROVINCIA_T=10 & CANTON='ANTONIO ANTE') CANTÓN_T='1002'.
IF (PROVINCIA_T=10 & CANTON='COTACACHI') CANTÓN_T='1003'.
IF (PROVINCIA_T=10 & CANTON='IBARRA') CANTÓN_T='1001'.
IF (PROVINCIA_T=10 & CANTON='OTAVALO') CANTÓN_T='1004'.
IF (PROVINCIA_T=10 & CANTON='PIMAMPIRO') CANTÓN_T='1005'.
IF (PROVINCIA_T=10 & CANTON='SAN MIGUEL DE URCUQUI') CANTÓN_T='1006'.
IF (PROVINCIA_T=11 & CANTON='CALVAS') CANTÓN_T='1102'.
IF (PROVINCIA_T=11 & CANTON='CATAMAYO') CANTÓN_T='1103'.
IF (PROVINCIA_T=11 & CANTON='CHAGUARPAMBA') CANTÓN_T='1105'.
IF (PROVINCIA_T=11 & CANTON='GONZANAMA') CANTÓN_T='1107'.
IF (PROVINCIA_T=11 & CANTON='LOJA') CANTÓN_T='1101'.
IF (PROVINCIA_T=11 & CANTON='PALTAS') CANTÓN_T='1109'.
IF (PROVINCIA_T=11 & CANTON='SARAGURO') CANTÓN_T='1111'.
IF (PROVINCIA_T=11 & CANTON='ESPINDOLA') CANTÓN_T='1106'.
IF (PROVINCIA_T=11 & CANTON='PINDAL') CANTÓN_T='1114'.
IF (PROVINCIA_T=12 & CANTON='BABA') CANTÓN_T='1202'.
IF (PROVINCIA_T=12 & CANTON='BABAHOYO') CANTÓN_T='1201'.
IF (PROVINCIA_T=12 & CANTON='BUENA FE') CANTÓN_T='1210'.
IF (PROVINCIA_T=12 & CANTON='MOCACHE') CANTÓN_T='1212'.
IF (PROVINCIA_T=12 & CANTON='MONTALVO') CANTÓN_T='1203'.
IF (PROVINCIA_T=12 & CANTON='PALENQUE') CANTÓN_T='1209'.
IF (PROVINCIA_T=12 & CANTON='PUEBLOVIEJO') CANTÓN_T='1204'.
IF (PROVINCIA_T=12 & CANTON='QUEVEDO') CANTÓN_T='1205'.
IF (PROVINCIA_T=12 & CANTON='QUINSALOMA') CANTÓN_T='1299'.
IF (PROVINCIA_T=12 & CANTON='URDANETA') CANTÓN_T='1206'.
IF (PROVINCIA_T=12 & CANTON='VALENCIA') CANTÓN_T='1211'.
IF (PROVINCIA_T=12 & CANTON='VENTANAS') CANTÓN_T='1207'.
IF (PROVINCIA_T=12 & CANTON='VINCES') CANTÓN_T='1208'.
IF (PROVINCIA_T=13 & CANTON='BOLIVAR (MANABI)') CANTÓN_T='1302'.
IF (PROVINCIA_T=13 & CANTON='CHONE') CANTÓN_T='1303'.
IF (PROVINCIA_T=13 & CANTON='EL CARMEN') CANTÓN_T='1304'.
IF (PROVINCIA_T=13 & CANTON='JAMA') CANTÓN_T='1320'.
IF (PROVINCIA_T=13 & CANTON='JARAMIJO') CANTÓN_T='1321'.
IF (PROVINCIA_T=13 & CANTON='JIPIJAPA') CANTÓN_T='1306'.
IF (PROVINCIA_T=13 & CANTON='JUNIN') CANTÓN_T='1302'.
IF (PROVINCIA_T=13 & CANTON='MANTA') CANTÓN_T='1308'.
IF (PROVINCIA_T=13 & CANTON='MONTECRISTI') CANTÓN_T='1309'.
IF (PROVINCIA_T=13 & CANTON='PAJAN') CANTÓN_T='1310'.
IF (PROVINCIA_T=13 & CANTON='PEDERNALES') CANTÓN_T='1317'.
IF (PROVINCIA_T=13 & CANTON='PORTOVIEJO') CANTÓN_T='1301'.
IF (PROVINCIA_T=13 & CANTON='PUERTO LOPEZ') CANTÓN_T='1319'.
IF (PROVINCIA_T=13 & CANTON='ROCAFUERTE') CANTÓN_T='1312'.
IF (PROVINCIA_T=13 & CANTON='SAN VICENTE') CANTÓN_T='1322'.
IF (PROVINCIA_T=13 & CANTON='SANTA ANA') CANTÓN_T='1313'.
IF (PROVINCIA_T=13 & CANTON='SUCRE') CANTÓN_T='1314'.
IF (PROVINCIA_T=13 & CANTON='TOSAGUA') CANTÓN_T='1315'.
IF (PROVINCIA_T=13 & CANTON='OLMEDO (MANABI)') CANTÓN_T='1318'.
IF (PROVINCIA_T=13 & CANTON='PICHINCHA') CANTÓN_T='1311'.
IF (PROVINCIA_T=13 & CANTON='24 DE MAYO') CANTÓN_T='1316'.
IF (PROVINCIA_T=13 & CANTON='FLAVIO ALFARO') CANTÓN_T='1305'.
IF (PROVINCIA_T=14 & CANTON='GUALAQUIZA') CANTÓN_T='1402'.
IF (PROVINCIA_T=14 & CANTON='LIMON INDANZA') CANTÓN_T='1403'.
IF (PROVINCIA_T=14 & CANTON='MORONA') CANTÓN_T='1318'.
IF (PROVINCIA_T=14 & CANTON='SANTIAGO') CANTÓN_T='1405'.
IF (PROVINCIA_T=14 & CANTON='HUAMBOYA') CANTÓN_T='1407'.
IF (PROVINCIA_T=14 & CANTON='SAN JUAN BOSCO') CANTÓN_T='1408'.
IF (PROVINCIA_T=14 & CANTON='LOGROÑO') CANTÓN_T='1410'.
IF (PROVINCIA_T=14 & CANTON='TAISHA') CANTÓN_T='1409'.
IF (PROVINCIA_T=15 & CANTON='ARCHIDONA') CANTÓN_T='1503'.
IF (PROVINCIA_T=15 & CANTON='EL CHACO') CANTÓN_T='1504'.
IF (PROVINCIA_T=15 & CANTON='QUIJOS') CANTÓN_T='1507'.
IF (PROVINCIA_T=15 & CANTON='TENA') CANTÓN_T='1501'.
IF (PROVINCIA_T=22 & CANTON='LA JOYA DE LOS SACHAS') CANTÓN_T='2203'.
IF (PROVINCIA_T=22 & CANTON='LORETO') CANTÓN_T='2204'.
IF (PROVINCIA_T=22 & CANTON='ORELLANA') CANTÓN_T='2201'.
IF (PROVINCIA_T=16 & CANTON='MERA') CANTÓN_T='1602'.
IF (PROVINCIA_T=16 & CANTON='PASTAZA') CANTÓN_T='1601'.
IF (PROVINCIA_T=16 & CANTON='SANTA CLARA') CANTÓN_T='1603'.
IF (PROVINCIA_T=17 & CANTON='CAYAMBE') CANTÓN_T='1702'.
IF (PROVINCIA_T=17 & CANTON='MEJIA') CANTÓN_T='1703'.
IF (PROVINCIA_T=17 & CANTON='PEDRO MONCAYO') CANTÓN_T='1704'.
IF (PROVINCIA_T=17 & CANTON='PEDRO VICENTE MALDONADO') CANTÓN_T='2201'.
IF (PROVINCIA_T=17 & CANTON='QUITO') CANTÓN_T='1701'.
IF (PROVINCIA_T=17 & CANTON='RUMIÑAHUI') CANTÓN_T='1705'.
IF (PROVINCIA_T=17 & CANTON='SAN MIGUEL DE LOS BANCOS') CANTÓN_T='1707'.
IF (PROVINCIA_T=24 & CANTON='LA LIBERTAD') CANTÓN_T='2402'.
IF (PROVINCIA_T=24 & CANTON='SALINAS') CANTÓN_T='2403'.
IF (PROVINCIA_T=24 & CANTON='SANTA ELENA') CANTÓN_T='2401'.
IF (PROVINCIA_T=23 & CANTON='LA CONCORDIA') CANTÓN_T='2302'.
IF (PROVINCIA_T=23 & CANTON='SANTO DOMINGO') CANTÓN_T='2301'.
IF (PROVINCIA_T=21 & CANTON='LAGO AGRIO') CANTÓN_T='2101'.
IF (PROVINCIA_T=21 & CANTON='SHUSHUFINDI') CANTÓN_T='2104'.
IF (PROVINCIA_T=21 & CANTON='CASCALES') CANTÓN_T='1701'.
IF (PROVINCIA_T=18 & CANTON='AMBATO') CANTÓN_T='1801'.
IF (PROVINCIA_T=18 & CANTON='BAÑOS DE AGUA SANTA') CANTÓN_T='1802'.
IF (PROVINCIA_T=18 & CANTON='CEVALLOS') CANTÓN_T='1803'.
IF (PROVINCIA_T=18 & CANTON='MOCHA') CANTÓN_T='1804'.
IF (PROVINCIA_T=18 & CANTON='PATATE') CANTÓN_T='1805'.
IF (PROVINCIA_T=18 & CANTON='QUERO') CANTÓN_T='1806'.
IF (PROVINCIA_T=18 & CANTON='SAN PEDRO DE PELILEO') CANTÓN_T='1807'.
IF (PROVINCIA_T=18 & CANTON='SANTIAGO DE PILLARO') CANTÓN_T='1808'.
IF (PROVINCIA_T=18 & CANTON='TISALEO') CANTÓN_T='1809'.
IF (PROVINCIA_T=19 & CANTON='CENTINELA DEL CONDOR') CANTÓN_T='1907'.
IF (PROVINCIA_T=19 & CANTON='CHINCHIPE') CANTÓN_T='1902'.
IF (PROVINCIA_T=19 & CANTON='EL PANGUI') CANTÓN_T='1906'.
IF (PROVINCIA_T=19 & CANTON='YANTZAZA') CANTÓN_T='1905'.
IF (PROVINCIA_T=19 & CANTON='ZAMORA') CANTÓN_T='1901'.
IF (PROVINCIA_T=19 & CANTON='PAQUISHA') CANTÓN_T='1909'.
IF (PROVINCIA_T=19 & CANTON='YACUAMBI') CANTÓN_T='1904'.
IF (PROVINCIA_T=19 & CANTON='NANGARITZA') CANTÓN_T='1903'.
execute.


FREQ CANTÓN_T .


variable labels CANTÓN_T "Cantón".
value labels CANTÓN_T
'0115' 'CAMILO PONCE ENRIQUEZ'
'0111' 'CHORDELEG'
'0101' 'CUENCA'
'0102' 'GIRON'
'0103' 'GUALACEO'
'0104' 'NABON'
'0110' 'OÑA'
'0105' 'PAUTE'
'0106' 'PUCARA'
'0108' 'SANTA ISABEL'
'0113' 'SEVILLA DE ORO'
'0109' 'SIGSIG'
'0206' 'CALUMA'
'0203' 'CHIMBO'
'0204' 'ECHEANDIA'
'0201' 'GUARANDA'
'0207' 'LAS NAVES'
'0205' 'SAN MIGUEL'
'0202' 'CHILLANES'
'9005' 'SANTA ROSA DE AGUA CLARA'
'0301' 'AZOGUES'
'0302' 'BIBLIAN'
'0303' 'CAÑAR'
'0306' 'DELEG'
'0305' 'EL TAMBO'
'0304' 'LA TRONCAL'
'0307' 'SUSCAL'
'0402' 'BOLIVAR (CARCHI)'
'0405' 'MONTUFAR'
'0406' 'SAN PEDRO DE HUACA'
'0401' 'TULCAN'
'0602' 'ALAUSI'
'0604' 'CHAMBO'
'0605' 'CHUNCHI'
'0603' 'COLTA'
'0610' 'CUMANDA'
'0606' 'GUAMOTE'
'0607' 'GUANO'
'0608' 'PALLATANGA'
'0609' 'PENIPE'
'0601' 'RIOBAMBA'
'0502' 'LA MANA'
'0501' 'LATACUNGA'
'0504' 'PUJILI'
'0505' 'SALCEDO'
'0506' 'SAQUISILI'
'0503' 'PANGUA'
'0702' 'ARENILLAS'
'0704' 'BALSAS'
'0706' 'EL GUABO'
'0707' 'HUAQUILLAS'
'0701' 'MACHALA'
'0709' 'PASAJE'
'0710' 'PIÑAS'
'0711' 'PORTOVELO'
'0712' 'SANTA ROSA'
'0713' 'ZARUMA'
'0703' 'ATAHUALPA'
'0806' 'ATACAMES'
'0802' 'ELOY ALFARO'
'0801' 'ESMERALDAS'
'0803' 'MUISNE'
'0804' 'QUININDE'
'0807' 'RIOVERDE'
'0805' 'SAN LORENZO'
'2003' 'SANTA CRUZ'
'2002' 'ISABELA'
'0902' 'ALFREDO BAQUERIZO MORENO'
'0903' 'BALAO'
'0902' 'BALZAR'
'0905' 'COLIMES'
'0923' 'CORONEL MARCELINO MARIDUEÑA'
'0906' 'DAULE'
'0907' 'DURAN'
'0908' 'EL EMPALME'
'9004' 'EL PIEDRERO'
'0909' 'EL TRIUNFO'
'0999' 'GENERAL ANTONIO ELIZALDE'
'0901' 'GUAYAQUIL'
'0928' 'ISIDRO AYORA'
'0924' 'LOMAS DE SARGENTILLO'
'0910' 'MILAGRO'
'0911' 'NARANJAL'
'0912' 'NARANJITO'
'0925' 'NOBOL'
'0913' 'PALESTINA'
'0914' 'PEDRO CARBO'
'0921' 'PLAYAS'
'0919' 'SALITRE'
'0916' 'SAMBORONDON'
'0920' 'SAN JACINTO DE YAGUACHI'
'0918' 'SANTA LUCIA'
'0922' 'SIMON BOLIVAR'
'1002' 'ANTONIO ANTE'
'1003' 'COTACACHI'
'1001' 'IBARRA'
'1004' 'OTAVALO'
'1005' 'PIMAMPIRO'
'1006' 'SAN MIGUEL DE URCUQUI'
'1102' 'CALVAS'
'1103' 'CATAMAYO'
'1105' 'CHAGUARPAMBA'
'1107' 'GONZANAMA'
'1101' 'LOJA'
'1109' 'PALTAS'
'1111' 'SARAGURO'
'1106' 'ESPINDOLA'
'1114' 'PINDAL'
'1202' 'BABA'
'1201' 'BABAHOYO'
'1210' 'BUENA FE'
'1212' 'MOCACHE'
'1203' 'MONTALVO'
'1209' 'PALENQUE'
'1204' 'PUEBLOVIEJO'
'1205' 'QUEVEDO'
'1299' 'QUINSALOMA'
'1206' 'URDANETA'
'1211' 'VALENCIA'
'1207' 'VENTANAS'
'1208' 'VINCES'
'1302' 'BOLIVAR (MANABI)'
'1303' 'CHONE'
'1304' 'EL CARMEN'
'1320' 'JAMA'
'1321' 'JARAMIJO'
'1306' 'JIPIJAPA'
'1302' 'JUNIN'
'1308' 'MANTA'
'1309' 'MONTECRISTI'
'1310' 'PAJAN'
'1317' 'PEDERNALES'
'1301' 'PORTOVIEJO'
'1319' 'PUERTO LOPEZ'
'1312' 'ROCAFUERTE'
'1322' 'SAN VICENTE'
'1313' 'SANTA ANA'
'1314' 'SUCRE'
'1315' 'TOSAGUA'
'1318' 'OLMEDO (MANABI)'
'1311' 'PICHINCHA'
'1316' '24 DE MAYO'
'1305' 'FLAVIO ALFARO'
'1402' 'GUALAQUIZA'
'1403' 'LIMON INDANZA'
'1318' 'MORONA'
'1405' 'SANTIAGO'
'1407' 'HUAMBOYA'
'1408' 'SAN JUAN BOSCO'
'1410' 'LOGROÑO'
'1409' 'TAISHA'
'1503' 'ARCHIDONA'
'1504' 'EL CHACO'
'1507' 'QUIJOS'
'1501' 'TENA'
'2203' 'LA JOYA DE LOS SACHAS'
'2204' 'LORETO'
'2201' 'ORELLANA'
'1602' 'MERA'
'1601' 'PASTAZA'
'1603' 'SANTA CLARA'
'1702' 'CAYAMBE'
'1703' 'MEJIA'
'1704' 'PEDRO MONCAYO'
'2201' 'PEDRO VICENTE MALDONADO'
'1701' 'QUITO'
'1705' 'RUMIÑAHUI'
'1707' 'SAN MIGUEL DE LOS BANCOS'
'2402' 'LA LIBERTAD'
'2403' 'SALINAS'
'2401' 'SANTA ELENA'
'2302' 'LA CONCORDIA'
'2301' 'SANTO DOMINGO'
'2101' 'LAGO AGRIO'
'2104' 'SHUSHUFINDI'
'1701' 'CASCALES'
'1801' 'AMBATO'
'1802' 'BAÑOS DE AGUA SANTA'
'1803' 'CEVALLOS'
'1804' 'MOCHA'
'1805' 'PATATE'
'1806' 'QUERO'
'1807' 'SAN PEDRO DE PELILEO'
'1808' 'SANTIAGO DE PILLARO'
'1809' 'TISALEO'
'1907' 'CENTINELA DEL CONDOR'
'1902' 'CHINCHIPE'
'1906' 'EL PANGUI'
'1905' 'YANTZAZA'
'1901' 'ZAMORA'
'1909' 'PAQUISHA'
'1904' 'YACUAMBI'
'1903' 'NANGARITZA'
Execute.

FREQ CANTÓN_T.


*************************.
****Ente de Control***.
*************************.
FREQUENCIES ENTE_DE_CONTROL.

IF (ENTE_DE_CONTROL="ATM") ENTCONTROL=1.
IF (ENTE_DE_CONTROL="CTE") ENTCONTROL=2.
IF (ENTE_DE_CONTROL="DMQ") ENTCONTROL=3.
IF (ENTE_DE_CONTROL="MAM") ENTCONTROL=4.
IF (ENTE_DE_CONTROL="MBA") ENTCONTROL=5.
IF (ENTE_DE_CONTROL="MCU") ENTCONTROL=6.
IF (ENTE_DE_CONTROL="MEP") ENTCONTROL=7.
IF (ENTE_DE_CONTROL="MES") ENTCONTROL=8.
IF (ENTE_DE_CONTROL="MLO") ENTCONTROL=9.
IF (ENTE_DE_CONTROL="MMA") ENTCONTROL=10.
IF (ENTE_DE_CONTROL="MMC") ENTCONTROL=11.
IF (ENTE_DE_CONTROL="MPO") ENTCONTROL=12.
IF (ENTE_DE_CONTROL="MRI") ENTCONTROL=13.
IF (ENTE_DE_CONTROL="MSD") ENTCONTROL=14.
IF (ENTE_DE_CONTROL="PNE") ENTCONTROL=15.
IF (ENTE_DE_CONTROL="MDU") ENTCONTROL=16.
EXECUTE.

variable labels ENTCONTROL "Ente de control".
formats ENTCONTROL (F2.0).
value labels ENTCONTROL
1 "Autoridad de Tránsito Municipal - ATM"
2 "Comisión de Tránsito del Ecuador - CTE"
3 "DMQ"
4 "MAM"
5 "MBA"
6 "MCU"
7 "MEP"
8 "MES"
9 "MLO"
10 "MMA"
11 "MMC"
12 "MPO"
13 "MRI"
14 "MSD"
15 "PNE"
16"MDU"
execute.

FREQ ENTCONTROL.

************************************.
************Feriado***************.
***********************************.
recode FERIADO ("SI"=1) ("NO"=2) into FERIADO_T.
variable labels FERIADO_T "Feriado".
value labels FERIADO_T 1 "SI" 2 "NO".
formats FERIADO_T (F1.0).
execute.

freq FERIADO_T.


*********************************************.
**********ZONA*******************.
*********************************************.
recode ZONA
("URBANA"=1) ("RURAL"=2) into ZONA_T.
variable labels ZONA_T "Zona".
value labels ZONA_T 1 'URBANA' 2 'RURAL'.
formats ZONA_T (F1.0).
execute.

freq ZONA_T.

**************************************************.
********Número de Fallecidos****************.
**************************************************.

compute NUM_FALLECIDO_T=FALLECIDOS.
formats NUM_FALLECIDO_T (F3.0).
variable level NUM_FALLECIDO_T (SCALE).
variable labels NUM_FALLECIDO_T "Número de fallecidos". 
execute.

freq NUM_FALLECIDO_T.


**************************************************.
*********Número de Lesionados**************.
**************************************************.

compute NUM_LESIONADO_T=LESIONADOS.
formats NUM_LESIONADO_T (F3.0).
variable level NUM_LESIONADO_T (SCALE).
variable labels NUM_LESIONADO_T "Número de lesionados".
execute.


freq NUM_LESIONADO_T.


*****************************************.
******Número de Víctimas***********.
****************************************.

compute TOTAL_VICTIMAS=sum.1(NUM_FALLECIDO_T, NUM_LESIONADO_T).
formats TOTAL_VICTIMAS (F3.0).
variable level TOTAL_VICTIMAS (SCALE).
variable labels TOTAL_VICTIMAS "Total de víctimas".
execute. 

FREQ TOTAL_VICTIMAS.

************************************.
********Clase de Siniestro****.
***********************************.

recode TIPO_DE_SINIESTRO
('ARROLLAMIENTOS'=1)
('ATROPELLOS'=1)
('CAÍDA DE PASAJERO'=2)
('CHOQUE FRONTAL'=3)
('CHOQUE LATERAL'=3)
('CHOQUE POSTERIOR'=3)
('COLISIÓN'=3)
('ESTRELLAMIENTOS'=4)
('OTROS'=8)
('PÉRDIDA DE CARRIL'=7)
('PÉRDIDA DE PISTA'=7)
('ROZAMIENTOS'=5)
('VOLCAMIENTOS'=6) into CLASE_T.
execute.


variable labels CLASE_T "Clase de Siniestro".
formats CLASE_T (F1.0).
value labels CLASE_T
1 'ATROPELLOS'
2 'CAÍDA DE PASAJEROS'
3 'CHOQUES'
4 'ESTRELLAMIENTOS'
5 'ROZAMIENTOS'
6 'VOLCAMIENTOS'
7 'PÉRDIDA DE PISTA'
8 'OTROS'.
execute.

freq CLASE_T.


*****************************.
****Causa Probable*******.
*****************************.

recode CAUSA_PROBABLE
('ADELANTAR O REBASAR A OTRO VEHÍCULO EN MOVIMIENTO EN ZONAS O SITIOS PELIGROSOS TALES COMO: CURVAS, PUENTES, TÚNELES, PENDIENTES, ETC.'=2)
('BAJARSE O SUBIRSE DE VEHÍCULOS EN MOVIMIENTO SIN TOMAR LAS PRECAUCIONES DEBIDAS.'=5)
('BAJARSE O SUBIRSE DE VEHÍCULOS EN MOVIMIENTO SIN TOMAR LAS PRECAUCIONES DEBIDA.'=5)
('CASO FORTUITO O FUERZA MAYOR (EXPLOSIÓN DE NEUMÁTICO NUEVO, DERRUMBE, INUNDACIÓN, CAÍDA DE PUENTE, ÁRBOL, PRESENCIA INTEMPESTIVA E IMPREVISTA DE SEMOVIENTES EN LA VÍA, ETC.).'=10)
('CONDICIONES AMBIENTALES Y/O ATMOSFÉRICAS (NIEBLA, NEBLINA, GRANIZO, LLUVIA).'=8)
('CONDUCE BAJO LA INFLUENCIA DE ALCOHOL, SUSTANCIAS ESTUPEFACIENTES O PSICOTRÓPICAS Y/O MEDICAMENTOS.'=1)
('CONDUCIR DESATENTO A LAS CONDICIONES DE TRÁNSITO (CELULAR, PANTALLAS DE VIDEO, COMIDA, MAQUILLAJE O CUALQUIER OTRO ELEMENTO DISTRACTOR).'=4)
('CONDUCIR EN ESTADO DE SOMNOLENCIA O MALAS CONDICIONES FÍSICAS (SUEÑO, CANSANCIO Y FATIGA).'=4)
('CONDUCIR EN SENTIDO CONTRARIO A LA VÍA NORMAL DE CIRCULACIÓN.'=7)
('CONDUCIR VEHÍCULO SUPERANDO LOS LÍMITES MÁXIMOS DE VELOCIDAD.'=3)
('DAÑOS MECÁNICOS PREVISIBLES.'=6)
('DEJAR O RECOGER PASAJEROS EN LUGARES NO PERMITIDOS.'=4)
('DISPOSITIVO REGULADOR DE TRÁNSITO EN MAL ESTADO DE FUNCIONAMIENTO (SEMÁFORO).'=10)
('FALLA MECÁNICA EN LOS SISTEMAS Y/O NEÚMATICOS (SISTEMA DE FRENOS, DIRECCIÓN, ELÉCTRÓNICO O MECÁNICO).'=6)
('MAL ESTACIONADO - EL CONDUCTOR QUE DETENGA O ESTACIONE VEHÍCULOS EN SITIOS O ZONAS QUE ENTRAÑEN PELIGRO, TALES COMO ZONA DE SEGURIDAD, CURVAS, PUENTES, TÚNELES, PENDIENTES.'=4)
('MALAS CONDICIONES DE LA VÍA Y/O CONFIGURACIÓN. (ILUMINACIÓN Y DISEÑO).'=9)
('NO CEDER EL DERECHO DE VÍA O PREFERENCIA DE PASO A VEHÍCULOS.'=4)
('NO CEDER EL DERECHO DE VÍA O PREFERENCIA DE PASO AL PEATÓN.'=4)
('NO GUARDAR LA DISTANCIA LATERAL MÍNIMA DE SEGURIDAD ENTRE VEHÍCULOS.'=4)
('NO MANTENER LA DISTANCIA PRUDENCIAL CON RESPECTO AL VEHÍCULO QUE LE ANTECEDE.'=4)
('NO RESPETAR LAS SEÑALES MANUALES DEL AGENTE DE TRÁNSITO.'=7)
('NO RESPETAR LAS SEÑALES REGLAMENTARIAS DE TRÁNSITO. (PARE, CEDA EL PASO, LUZ ROJA DEL SEMAFORO, ETC).'=7)
('NO TRANSITAR POR LAS ACERAS O ZONAS DE SEGURIDAD DESTINADAS PARA EL EFECTO.'=5)
('PEATÓN QUE CRUZA LA CALZADA SIN RESPETAR LA SEÑALIZACIÓN EXISTENTE (SEMÁFOROS O SEÑALES MANUALES).'=5)
('PEATÓN TRANSITA BAJO INFLUENCIA DE ALCOHOL, SUSTANCIAS ESTUPEFACIENTES O PSICOTRÓPICAS Y/O MEDICAMENTOS.'=1)
('PESO Y VOLUMEN - NO CUMPLIR CON LAS NORMAS DE SEGURIDAD NECESARIAS AL TRANSPORTAR CARGAS.'=4)
('PRESENCIA DE AGENTES EXTERNOS EN LA VÍA (AGUA, ACEITE, PIEDRA, LASTRE, ESCOMBROS, MADEROS, ETC.).'=9)
('REALIZAR CAMBIO BRUSCO O INDEBIDO DE CARRIL.'=2) into CAUSA_T.
execute.

variable labels CAUSA_T "Causa probable del Siniestro".
formats CAUSA_T (F2.0).
value labels CAUSA_T
1 'EMBRIAGUEZ O DROGA'
2 'MAL REBASAMIENTO INVADIR CARRIL'
3 'EXCESO VELOCIDAD'
4 'IMPERICIA E IMPRUDENCIA DEL CONDUCTOR'
5 'IMPRUDENCIA  DEL PEATÓN'
6 'DAÑOS MECÁNICOS'
7 'NO RESPETA LAS SEÑALES DE TRÁNSITO'
8 'FACTORES CLIMÁTICOS'
9 'MAL ESTADO DE LA VÍA'
10 'OTRAS CAUSAS'.
execute.

freq CAUSA_T.

********************************.
****CAUSA ANT****.
********************************.
string CAUSA_ANT (A3).
if (CAUSA_PROBABLE='CASO FORTUITO O FUERZA MAYOR (EXPLOSIÓN DE NEUMÁTICO NUEVO, DERRUMBE, INUNDACIÓN, CAÍDA DE PUENTE, ÁRBOL, PRESENCIA INTEMPESTIVA E IMPREVISTA DE SEMOVIENTES EN LA VÍA, ETC.).') CAUSA_ANT='C01'.
if (CAUSA_PROBABLE='PRESENCIA DE AGENTES EXTERNOS EN LA VÍA (AGUA, ACEITE, PIEDRA, LASTRE, ESCOMBROS, MADEROS, ETC.).') CAUSA_ANT='C02'.
if (CAUSA_PROBABLE='CONDUCIR EN ESTADO DE SOMNOLENCIA O MALAS CONDICIONES FÍSICAS (SUEÑO, CANSANCIO Y FATIGA).') CAUSA_ANT='C03'.
if (CAUSA_PROBABLE='DAÑOS MECÁNICOS PREVISIBLES.') CAUSA_ANT='C04'.
if (CAUSA_PROBABLE='FALLA MECÁNICA EN LOS SISTEMAS Y/O NEÚMATICOS (SISTEMA DE FRENOS, DIRECCIÓN, ELÉCTRÓNICO O MECÁNICO).') CAUSA_ANT='C05'.
if (CAUSA_PROBABLE='CONDUCE BAJO LA INFLUENCIA DE ALCOHOL, SUSTANCIAS ESTUPEFACIENTES O PSICOTRÓPICAS Y/O MEDICAMENTOS.') CAUSA_ANT='C06'.
if (CAUSA_PROBABLE='PEATÓN TRANSITA BAJO INFLUENCIA DE ALCOHOL, SUSTANCIAS ESTUPEFACIENTES O PSICOTRÓPICAS Y/O MEDICAMENTOS.') CAUSA_ANT='C07'.
if (CAUSA_PROBABLE='PESO Y VOLUMEN - NO CUMPLIR CON LAS NORMAS DE SEGURIDAD NECESARIAS AL TRANSPORTAR CARGAS.') CAUSA_ANT='C08'.
if (CAUSA_PROBABLE='CONDUCIR VEHÍCULO SUPERANDO LOS LÍMITES MÁXIMOS DE VELOCIDAD.') CAUSA_ANT='C09'.
if (CAUSA_PROBABLE='CONDICIONES AMBIENTALES Y/O ATMOSFÉRICAS (NIEBLA, NEBLINA, GRANIZO, LLUVIA).') CAUSA_ANT='C10'.
if (CAUSA_PROBABLE='NO MANTENER LA DISTANCIA PRUDENCIAL CON RESPECTO AL VEHÍCULO QUE LE ANTECEDE.') CAUSA_ANT='C11'.
if (CAUSA_PROBABLE='NO GUARDAR LA DISTANCIA LATERAL MÍNIMA DE SEGURIDAD ENTRE VEHÍCULOS.') CAUSA_ANT='C12'.
if (CAUSA_PROBABLE='CONDUCIR DESATENTO A LAS CONDICIONES DE TRÁNSITO (CELULAR, PANTALLAS DE VIDEO, COMIDA, MAQUILLAJE O CUALQUIER OTRO ELEMENTO DISTRACTOR).') CAUSA_ANT='C14'.
if (CAUSA_PROBABLE='DEJAR O RECOGER PASAJEROS EN LUGARES NO PERMITIDOS.') CAUSA_ANT='C15'.
if (CAUSA_PROBABLE='NO TRANSITAR POR LAS ACERAS O ZONAS DE SEGURIDAD DESTINADAS PARA EL EFECTO.') CAUSA_ANT='C16'.
if (CAUSA_PROBABLE='BAJARSE O SUBIRSE DE VEHÍCULOS EN MOVIMIENTO SIN TOMAR LAS PRECAUCIONES DEBIDA.') CAUSA_ANT='C17'.
if (CAUSA_PROBABLE='BAJARSE O SUBIRSE DE VEHÍCULOS EN MOVIMIENTO SIN TOMAR LAS PRECAUCIONES DEBIDAS.') CAUSA_ANT='C17'.
if (CAUSA_PROBABLE='CONDUCIR EN SENTIDO CONTRARIO A LA VÍA NORMAL DE CIRCULACIÓN.') CAUSA_ANT='C18'.
if (CAUSA_PROBABLE='REALIZAR CAMBIO BRUSCO O INDEBIDO DE CARRIL.') CAUSA_ANT='C19'.
if (CAUSA_PROBABLE='MAL ESTACIONADO - EL CONDUCTOR QUE DETENGA O ESTACIONE VEHÍCULOS EN SITIOS O ZONAS QUE ENTRAÑEN PELIGRO, TALES COMO ZONA DE SEGURIDAD, CURVAS, PUENTES, TÚNELES, PENDIENTES.') CAUSA_ANT='C20'.
if (CAUSA_PROBABLE='MALAS CONDICIONES DE LA VÍA Y/O CONFIGURACIÓN. (ILUMINACIÓN Y DISEÑO).') CAUSA_ANT='C21'.
if (CAUSA_PROBABLE='ADELANTAR O REBASAR A OTRO VEHÍCULO EN MOVIMIENTO EN ZONAS O SITIOS PELIGROSOS TALES COMO: CURVAS, PUENTES, TÚNELES, PENDIENTES, ETC.') CAUSA_ANT='C22'.
if (CAUSA_PROBABLE='NO RESPETAR LAS SEÑALES REGLAMENTARIAS DE TRÁNSITO. (PARE, CEDA EL PASO, LUZ ROJA DEL SEMAFORO, ETC).') CAUSA_ANT='C23'.
if (CAUSA_PROBABLE='NO RESPETAR LAS SEÑALES MANUALES DEL AGENTE DE TRÁNSITO.') CAUSA_ANT='C24'.
if (CAUSA_PROBABLE='NO CEDER EL DERECHO DE VÍA O PREFERENCIA DE PASO A VEHÍCULOS.') CAUSA_ANT='C25'.
if (CAUSA_PROBABLE='NO CEDER EL DERECHO DE VÍA O PREFERENCIA DE PASO AL PEATÓN.') CAUSA_ANT='C26'.
if (CAUSA_PROBABLE='PEATÓN QUE CRUZA LA CALZADA SIN RESPETAR LA SEÑALIZACIÓN EXISTENTE (SEMÁFOROS O SEÑALES MANUALES).') CAUSA_ANT='C27'.
if (CAUSA_PROBABLE='DISPOSITIVO REGULADOR DE TRÁNSITO EN MAL ESTADO DE FUNCIONAMIENTO (SEMÁFORO).') CAUSA_ANT='C28'.
execute.

variable labels CAUSA_ANT "Causa probable del Siniestro - ANT".
value labels CAUSA_ANT
'C01' 'CASO FORTUITO O FUERZA MAYOR (EXPLOSIÓN DE NEUMÁTICO NUEVO, DERRUMBE, INUNDACIÓN, CAÍDA DE PUENTE, ÁRBOL, PRESENCIA INTEMPESTIVA E IMPREVISTA DE SEMOVIENTES EN LA VÍA, ETC.).'
'C02' 'PRESENCIA DE AGENTES EXTERNOS EN LA VÍA (AGUA, ACEITE, PIEDRA, LASTRE, ESCOMBROS, MADEROS, ETC.).'
'C03' 'CONDUCIR EN ESTADO DE SOMNOLENCIA O MALAS CONDICIONES FÍSICAS (SUEÑO, CANSANCIO Y FATIGA).'
'C04' 'DAÑOS MECÁNICOS PREVISIBLES.'
'C05' 'FALLA MECÁNICA EN LOS SISTEMAS Y/O NEÚMATICOS (SISTEMA DE FRENOS, DIRECCIÓN, ELÉCTRÓNICO O MECÁNICO).'
'C06' 'CONDUCE BAJO LA INFLUENCIA DE ALCOHOL, SUSTANCIAS ESTUPEFACIENTES O PSICOTRÓPICAS Y/O MEDICAMENTOS.'
'C07' 'PEATÓN TRANSITA BAJO INFLUENCIA DE ALCOHOL, SUSTANCIAS ESTUPEFACIENTES O PSICOTRÓPICAS Y/O MEDICAMENTOS.'
'C08' 'PESO Y VOLUMEN - NO CUMPLIR CON LAS NORMAS DE SEGURIDAD NECESARIAS AL TRANSPORTAR CARGAS.'
'C09' 'CONDUCIR VEHÍCULO SUPERANDO LOS LÍMITES MÁXIMOS DE VELOCIDAD.'
'C10' 'CONDICIONES AMBIENTALES Y/O ATMOSFÉRICAS (NIEBLA, NEBLINA, GRANIZO, LLUVIA).'
'C11' 'NO MANTENER LA DISTANCIA PRUDENCIAL CON RESPECTO AL VEHÍCULO QUE LE ANTECEDE.'
'C12' 'NO GUARDAR LA DISTANCIA LATERAL MÍNIMA DE SEGURIDAD ENTRE VEHÍCULOS.'
'C14' 'CONDUCIR DESATENTO A LAS CONDICIONES DE TRÁNSITO (CELULAR, PANTALLAS DE VIDEO, COMIDA, MAQUILLAJE O CUALQUIER OTRO ELEMENTO DISTRACTOR).'
'C15' 'DEJAR O RECOGER PASAJEROS EN LUGARES NO PERMITIDOS.'
'C16' 'NO TRANSITAR POR LAS ACERAS O ZONAS DE SEGURIDAD DESTINADAS PARA EL EFECTO.'
'C17' 'BAJARSE O SUBIRSE DE VEHÍCULOS EN MOVIMIENTO SIN TOMAR LAS PRECAUCIONES DEBIDA.'
'C18' 'CONDUCIR EN SENTIDO CONTRARIO A LA VÍA NORMAL DE CIRCULACIÓN.'
'C19' 'REALIZAR CAMBIO BRUSCO O INDEBIDO DE CARRIL.'
'C20' 'MAL ESTACIONADO - EL CONDUCTOR QUE DETENGA O ESTACIONE VEHÍCULOS EN SITIOS O ZONAS QUE ENTRAÑEN PELIGRO, TALES COMO ZONA DE SEGURIDAD, CURVAS, PUENTES, TÚNELES, PENDIENTES.'
'C21' 'MALAS CONDICIONES DE LA VÍA Y/O CONFIGURACIÓN. (ILUMINACIÓN Y DISEÑO).'
'C22' 'ADELANTAR O REBASAR A OTRO VEHÍCULO EN MOVIMIENTO EN ZONAS O SITIOS PELIGROSOS TALES COMO: CURVAS, PUENTES, TÚNELES, PENDIENTES, ETC.'
'C23' 'NO RESPETAR LAS SEÑALES REGLAMENTARIAS DE TRÁNSITO. (PARE, CEDA EL PASO, LUZ ROJA DEL SEMAFORO, ETC).'
'C24' 'NO RESPETAR LAS SEÑALES MANUALES DEL AGENTE DE TRÁNSITO.'
'C25' 'NO CEDER EL DERECHO DE VÍA O PREFERENCIA DE PASO A VEHÍCULOS.'
'C26' 'NO CEDER EL DERECHO DE VÍA O PREFERENCIA DE PASO AL PEATÓN.'
'C27' 'PEATÓN QUE CRUZA LA CALZADA SIN RESPETAR LA SEÑALIZACIÓN EXISTENTE (SEMÁFOROS O SEÑALES MANUALES).'
'C28' 'DISPOSITIVO REGULADOR DE TRÁNSITO EN MAL ESTADO DE FUNCIONAMIENTO (SEMÁFORO).'.
execute.

freq CAUSA_ANT.

****Guardando Base de Datos de Publicación****.

 
SAVE OUTFILE='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\II '+ 
    'TRIME_2023\BDD_IITRIM2023.sav'.


******************************************.
******Base de Datos de completa****.
*****************************************.

save outfile='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\II TRIME_2023\IIT23.sav'/keep MES_T
DIA_T PROVINCIA_T CANTÓN_T HORA_T ZONA_T NUM_FALLECIDO_T NUM_LESIONADO_T  TOTAL_VICTIMAS HORA_T CLASE_T
CAUSA_T.


GET 
  FILE='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\II TRIME_2023\IIT23.sav'.

rename variables PROVINCIA_T=PROVINCIA.
rename variables CAUSA_T=CAUSA.
rename variables MES_T=MES.
rename variables DIA_T=DIA.
rename variables HORA_T=HORA.
rename variables FERIADO_T=FERIADO.
rename variables CLASE_T=CLASE.
rename variables ZONA_T=ZONA.
rename variables CANTÓN_T=CANTÓN.
rename variables NUM_FALLECIDO_T=NUM_FALLECIDO.
rename variables NUM_LESIONADO_T=NUM_LESIONADO.
execute.

save outfile='E:\Respaldos JB\TRANSPORTES 2023\Bases de siniestros\2023\II TRIME_2023\IIT23.sav'.


*********************************************.


